package com.thalesgroup.dtkit.metrics.hudson.model;

import org.kohsuke.stapler.DataBoundConstructor;
import hudson.Extension;
import com.thalesgroup.dtkit.metrics.hudson.api.type.TestType;
import com.thalesgroup.dtkit.metrics.hudson.api.descriptor.TestTypeDescriptor;

public class BoostTestJunitHudsonTestType extends TestType {

private static TestTypeDescriptor<? extends TestType> DESCRIPTOR = new BoostTestJunitHudsonTestType.DescriptorImpl();

@DataBoundConstructor
public BoostTestJunitHudsonTestType(String pattern, boolean faildedIfNotNew, boolean deleteOutputFiles) {
  super(pattern, faildedIfNotNew, deleteOutputFiles);
}

public TestTypeDescriptor<? extends TestType> getDescriptor() {
 return  DESCRIPTOR;
}

@Extension
public static class DescriptorImpl  extends TestTypeDescriptor<BoostTestJunitHudsonTestType> {

  public DescriptorImpl() {
     super(BoostTestJunitHudsonTestType.class, com.thalesgroup.dtkit.junit.BoostTest.class);
  }

public String getId() {
 return "class com.thalesgroup.dtkit.junit.BoostTest";
}

}

}
